function createAssessmentChart (data, elementID) {
	var ctx = document.getElementById(elementID);

	chartData = {
		datasets: [{
			data: data,
			backgroundColor: ["#70AD47","#FFC000","#ED7D31"]
		}],

		// These labels appear in the legend and in the tooltips when hovering different arcs
		labels: [recuringTrans["totalCorrectGraph"],recuringTrans["totalMinorErrorsGraph"],recuringTrans["totalSignificantErrorsGraph"]],
	};
	
	// And for a doughnut chart
	var myDoughnutChart = new Chart(ctx, {
		type: 'doughnut',
		
		data: chartData,
		options: {
			animation: {
				duration: 0
			},
	   responsive: false
	   
		}	
	});
}

//Creates our donought graph chart at the end of the form 
function createAssessmentGraph(data, canvasID ='') {
	
 

	if (!(data[0] || data[1] || data[2])) {
		data = [1,1,1];
	}

 

	if (canvasID == '') {
		canvasID = "assesmentChart"+pages[curForm].suffix;
	}
	
	$('#'+canvasID).remove(); // Remove the previous canvas element
	$('#graph-container-'+canvasID).append('<canvas id="'+canvasID+'"  width="400" height="400"><canvas>'); //Add new Canvas element
	createAssessmentChart(data,canvasID);	
}

//Creates our graph chart at the end of the form
function createQualityGraph(data, canvasID ='') {
	if (canvasID == '') {
		canvasID = "qualityChart"+pages[curForm].suffix;
	}

	$('#'+canvasID).remove(); // Remove the previous canvas element
	$('#graph-container-'+canvasID).append('<canvas id="'+canvasID+'"  width="400" height="400"><canvas>'); //Add new Canvas element
	createQualityChart(data,canvasID);	
}


function createQualityChart(data, elementID) {
	var ctx = document.getElementById(elementID);
	
	options = {
		animation: {
			duration: 0
		},		
		legend: {
			display: false
		},		
		scales: {
			xAxes: [{
				gridLines: {
					offsetGridLines: false
				}
			}],
			yAxes: [{
				ticks: {
					beginAtZero: true
				}
			}]
		}
	}
	chartData = {
		datasets: [{
			label:'',// [recuringTrans["qualityOfAssessments"]],
			backgroundColor: "rgba(159,170,174,0.8)",
			data: data,
			backgroundColor: ["#548235","#2F5597","#C55A11"]
		}],

		// These labels appear in the legend and in the tooltips when hovering different arcs
		labels: [recuringTrans["qualityHigh"],recuringTrans["qualityModerate"],recuringTrans["qualityLow"]],
	};

	var qualityGraph = new Chart(ctx, {
		type: 'bar',
		data: chartData,
		options: options
	});
}